Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  neue Datei mit Befehl

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   neue Datei mit Befehl (997 mal gelesen)
joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 27. Apr. 2012 10:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Moin zusammen,

würde gerne an den befehl sneu eine weiteren befehlsaufruf dranhängen und habe mir dafür ein makro gebaut:
^C^Csneu;dwgeigen;

tut aber nix, also öffnet nur die neue Datei, aber hört dann auf.
Wo ist da mein Denkfehler?
Oder muss man das mit Öffnen und Angabe des Dateinamnes machen?


Habe auch überlegt, es in die acaddoc.lsp aufzunehmen, aber das wäre falsch, weil der Befehl ja nur bei neune Dateien ausgeführt werden soll.

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ManfredPS
Mitglied



Sehen Sie sich das Profil von ManfredPS an!   Senden Sie eine Private Message an ManfredPS  Schreiben Sie einen Gästebucheintrag für ManfredPS

Beiträge: 118
Registriert: 23.08.2011

..

erstellt am: 27. Apr. 2012 11:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

Zitat:
Wo ist da mein Denkfehler?
Dass du in deiner aktuellen Zeichnung die Zeichen SNEU + ENTER + DWGEIGEN + ENTER hineinschickst. Dass du DWGEIGEN aber in die Befehlszeile der neuen Zeichnung haben willst, soweit ist AutoCAD noch nicht. Wird auch leider mit Script nicht gehen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 27. Apr. 2012 11:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

das Makro wird in der aktuellen Zeichnung A abgesetzt ..... als erstes wird NEU aufgerufen .... Zeichnung B wird geöffnet und ist jetzt aktuell ... und in der aktuellen Zeichnung weiß man nichts vom Rest des Makros.

Lösung : die acaddoc.lsp wird beim Öffnen jeder Zeichnung ausgeführt ...

da helfen die Zeilen
(vl-load-com)
(if(=(vla-get-fullname(vla-get-activedocument(vlax-get-acad-object)))"")
  (command "_dwgprops")
)

------------------
      - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 27. Apr. 2012 11:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Toll,

den Schnipsel einkopiert, schon gehts...
Ich versteh zwar nicht wirklich, wie diese if-Abfrage funzt, aber sie tut es auf jeden Fall

Hatte jetzt noch hiermit gedacht, daß ich direkt gezielt das gewünschte Register anwählen kann, aber das klappt nicht,
ist aber nicht wirklich schlimm....

Danke und schönes WE

Joeycool


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 27. Apr. 2012 11:55    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für joeycool 10 Unities + Antwort hilfreich

Ähm .... mann kann die DWGPROPS auch per Lisp setzten ( wenn es immer das Gleiche ist )

------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

joeycool
Mitglied
Ingenieur TGA


Sehen Sie sich das Profil von joeycool an!   Senden Sie eine Private Message an joeycool  Schreiben Sie einen Gästebucheintrag für joeycool

Beiträge: 1447
Registriert: 01.06.2004

MEP/ACAD 2008,..., 2013, 2014, 2015, 2016 und 2017
REVIT MEP 2017
WIN7 64 bit
i7 3,4 GHZ, SSD Platte, 16 GB Ram
NVDIA Quadro K 2200

erstellt am: 27. Apr. 2012 12:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja,
das weiß ich bzw. hat mir Henning mal einen VBA Code dafür gezeigt.

Bei mir geht es aber nur um die Möglichkeit, eine vorhandene Variable zu editieren....

Joeycool

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz